Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QPrintEngine.PrintEnginePropertyKey

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QPrintEngine.PrintEnginePropertyKey

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QPrintEngine

    public static final class QPrintEngine.PrintEnginePropertyKey

extends java.lang.Enum
implements QtEnumerator

This enum is used to communicate properties between the print engine and `QPrinter`. A property may or may not be supported by a given print engine.

See Also:
  Serialized Form

Field Summary
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_CollateCopies` A boolean value indicating whether the printout should be collated or not.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_ColorMode` Refers to `QPrinter::ColorMode` , either color or monochrome.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_Creator` A string describing the document's creator.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_CustomBase` Basis for extension.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_CustomPaperSize` A `QSizeF` specifying a custom paper size in the `QPrinter::Point` unit.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_DocumentName` A string describing the document name in the spooler.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_Duplex` A boolean value indicating whether both sides of the printer paper should be used for the printout.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_FontEmbedding` A boolean value indicating whether data for the document's fonts should be embedded in the data sent to the printer.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_FullPage` A boolean describing if the printer should be full page or not.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_NumberOfCopies` An integer specifying the number of copies
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_Orientation` Specifies a `QPrinter::Orientation` value.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_OutputFileName` The output file name as a string.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_PageMargins` A QList<`QVariant`> containing the left, top, right and bottom margin values.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_PageOrder` Specifies a `QPrinter::PageOrder` value.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_PageRect` A `QRect` specifying the page rectangle
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_PageSize` Obsolete.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_PaperRect` A `QRect` specifying the paper rectangle.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_PaperSource` Specifies a `QPrinter::PaperSource` value.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_PaperSources` Specifies more than one `QPrinter::PaperSource` value.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_PrinterName` A string specifying the name of the printer.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_PrinterProgram` A string specifying the name of the printer program used for printing,
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_Resolution` An integer describing the dots per inch for this printer.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_SelectionOption`
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_SupportedResolutions` A list of integer `QVariants` describing the set of supported resolutions that the printer has.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_SuppressSystemPrintStatus` Suppress the built-in dialog for showing printing progress.
`static QPrintEngine.PrintEnginePropertyKey` | `PPK_WindowsPageSize` An integer specifying a `DM_PAPER` entry on Windows.

Method Summary
`static QPrintEngine.PrintEnginePropertyKey` | `resolve(int value)` Returns the PrintEnginePropertyKey constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QPrintEngine.PrintEnginePropertyKey` | `valueOf(java.lang.String name)`
`static QPrintEngine.PrintEnginePropertyKey[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PPK_CollateCopies

    public static final QPrintEngine.PrintEnginePropertyKey PPK_CollateCopies

  A boolean value indicating whether the printout should be collated or not.

### PPK_ColorMode

    public static final QPrintEngine.PrintEnginePropertyKey PPK_ColorMode

  Refers to `QPrinter::ColorMode` , either color or monochrome.

### PPK_Creator

    public static final QPrintEngine.PrintEnginePropertyKey PPK_Creator

  A string describing the document's creator.

### PPK_DocumentName

    public static final QPrintEngine.PrintEnginePropertyKey PPK_DocumentName

  A string describing the document name in the spooler.

### PPK_FullPage

    public static final QPrintEngine.PrintEnginePropertyKey PPK_FullPage

  A boolean describing if the printer should be full page or not.

### PPK_NumberOfCopies

    public static final QPrintEngine.PrintEnginePropertyKey PPK_NumberOfCopies

  An integer specifying the number of copies

### PPK_Orientation

    public static final QPrintEngine.PrintEnginePropertyKey PPK_Orientation

  Specifies a `QPrinter::Orientation` value.

### PPK_OutputFileName

    public static final QPrintEngine.PrintEnginePropertyKey PPK_OutputFileName

  The output file name as a string. An empty file name indicates that the printer should not print to a file.

### PPK_PageOrder

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PageOrder

  Specifies a `QPrinter::PageOrder` value.

### PPK_PageRect

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PageRect

  A `QRect` specifying the page rectangle

### PPK_PageSize

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PageSize

  Obsolete. Use `PPK_PaperSize` instead.

### PPK_PaperRect

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PaperRect

  A `QRect` specifying the paper rectangle.

### PPK_PaperSource

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PaperSource

  Specifies a `QPrinter::PaperSource` value.

### PPK_PrinterName

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PrinterName

  A string specifying the name of the printer.

### PPK_PrinterProgram

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PrinterProgram

  A string specifying the name of the printer program used for printing,

### PPK_Resolution

    public static final QPrintEngine.PrintEnginePropertyKey PPK_Resolution

  An integer describing the dots per inch for this printer.

### PPK_SelectionOption

    public static final QPrintEngine.PrintEnginePropertyKey PPK_SelectionOption

### PPK_SupportedResolutions

    public static final QPrintEngine.PrintEnginePropertyKey PPK_SupportedResolutions

  A list of integer `QVariants` describing the set of supported resolutions that the printer has.

### PPK_WindowsPageSize

    public static final QPrintEngine.PrintEnginePropertyKey PPK_WindowsPageSize

  An integer specifying a `DM_PAPER` entry on Windows.

### PPK_FontEmbedding

    public static final QPrintEngine.PrintEnginePropertyKey PPK_FontEmbedding

  A boolean value indicating whether data for the document's fonts should be embedded in the data sent to the printer.

### PPK_SuppressSystemPrintStatus

    public static final QPrintEngine.PrintEnginePropertyKey PPK_SuppressSystemPrintStatus

  Suppress the built-in dialog for showing printing progress. As of 4.1 this only has effect on Mac OS X where, by default, a status dialog is shown.

### PPK_Duplex

    public static final QPrintEngine.PrintEnginePropertyKey PPK_Duplex

  A boolean value indicating whether both sides of the printer paper should be used for the printout.

### PPK_PaperSources

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PaperSources

  Specifies more than one `QPrinter::PaperSource` value.

### PPK_CustomPaperSize

    public static final QPrintEngine.PrintEnginePropertyKey PPK_CustomPaperSize

  A `QSizeF` specifying a custom paper size in the `QPrinter::Point` unit.

### PPK_PageMargins

    public static final QPrintEngine.PrintEnginePropertyKey PPK_PageMargins

  A QList<`QVariant`> containing the left, top, right and bottom margin values.

### PPK_CustomBase

    public static final QPrintEngine.PrintEnginePropertyKey PPK_CustomBase

  Basis for extension.

Method Detail

### values

    public static QPrintEngine.PrintEnginePropertyKey[] values()

### valueOf

    public static QPrintEngine.PrintEnginePropertyKey valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QPrintEngine.PrintEnginePropertyKey resolve(int value)

  Returns the PrintEnginePropertyKey constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD